<% set_page_title(form.name) %>

<% content_for :back_link, govuk_back_link_to(live_form_path(form), t("back_link.form_view")) %>

<div class="govuk-grid-row">
  <div class="govuk-grid-column-two-thirds">
    <h1 class="govuk-heading-l govuk-!-margin-bottom-2">
      <span class="govuk-caption-l"><%= form.name %></span><span class="govuk-visually-hidden"> - </span>
      <%= t("forms.form_overview.your_questions") %>
    </h1>

    <%= render FormStatusTagDescriptionComponent::View.new(status: :live) %>

    <% form.pages.each_with_index do |page, index| %>
      <%= render(SummaryCardComponent::View.new( **PageSummaryCardDataService.call(page:, pages: form.pages).build_data)) %>
    <% end %>

    <p class="govuk-body">
      <%= govuk_link_to t("back_link.form_view"), live_form_path(form) %>
    </p>
  </div>
</div>
